Attribute VB_Name = "Module1"
Public Enum ExCouleur
    Rouge = 1
    Vert = 2
    Bleu = 3
End Enum


'********************************************************
'*** La couleur doit tre de type RGB
'*** Les couleurs dans les proprits des controles
'*** peuvent tre des couleurs indexes (couleurs sytmes)
'*** Ce type de couleurs ne fonctionne pas avec la
'*** fonction ci-dessous.
'*** Une couleur indexe a le bit de poids le plus fort mis
'***  1. Ex: &h80000000&
'*** Pour une couleur RGB, ce bit est mis  0
'*** Ex:  &h00FF1234&
'********************************************************
Public Function ExtraireCouleur(Couleur As Long, compos As ExCouleur) As Byte
Dim divis As Long
Dim Res As Long
Select Case compos
    Case 1: divis = 1&
    Case 2: divis = &H100
    Case 3: divis = &H10000
End Select
Res = (Couleur \ divis) And &HFF&
ExtraireCouleur = CByte(Res)
End Function
